Subject: bug#16737: 24.3.50; Yank causes hang

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Mar 2014 10:17:20 +0200

> Date: Fri, 21 Mar 2014 07:19:05 +0100
> From: Nicolas Richard <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> Le 05/03/2014 18:08, Eli Zaretskii a écrit :
> >> Date: Wed, 05 Mar 2014 12:01:06 +0100
> >> From: Nicolas Richard <[email-masked]>
> >> CC: [email-masked], [email-masked], [email-masked]
> >> 
> >> Le 04/03/2014 17:59, Eli Zaretskii a écrit :
> >> > Since you say that Emacs hangs for several seconds, would it be
> >> > possible for you to attach GDB right after you type C-x C-e to eval
> >> > (x-get-selection)?  You could prepare the "gdb -p PID" command line in
> >> > the shell window in advance, so all you'd need to type is RET.
> >> 
> >> I didn't quite do that and unfortunately killed the process at the end,
> >> so can't try your suggestion anymore. FWIW, here's what I did, although
> >> I doubt it's very useful. I'll try to do better next time.
> > 
> > OK, thanks.
> 
> Hi, 
> 
> Are these better backtraces ?

They  show Emacs is indeed inside the x-get-selection call.  I hope X
specialists will chime in and suggest things to try.  One question I
can think of is: does the same happen with applications other than
Firefox?  (Kill/yank in the same Emacs session doesn't count.)

Thanks.